/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-react-core";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
/**
 * @hidden
 */
export let FinancialPriceSeriesProxy = /*@__PURE__*/ (() => {
    class FinancialPriceSeriesProxy extends Base {
        getCloseMemberPath(a) {
            return a.wd;
        }
        getHighMemberPath(a) {
            return a.wq;
        }
        getLowMemberPath(a) {
            return a.wv;
        }
        getOpenMemberPath(a) {
            return a.wz;
        }
        getVolumeMemberPath(a) {
            return a.w3;
        }
        matchesType(a) {
            if (!a.ek) {
                return false;
            }
            if (a.el || a.em) {
                return false;
            }
            return true;
        }
        setCategoryMode(a, b) {
            a.uh = b;
        }
        setCloseMemberPath(a, b) {
            a.wd = b;
        }
        setDisplayType(a, b) {
            a.x5 = b;
        }
        setHighMemberPath(a, b) {
            a.wq = b;
        }
        setLowMemberPath(a, b) {
            a.wv = b;
        }
        setOpenMemberPath(a, b) {
            a.wz = b;
        }
        setVolumeMemberPath(a, b) {
            a.w3 = b;
        }
        setXAxis(a, b) {
            a.t9 = b;
        }
        setYAxis(a, b) {
            a.uv = b;
        }
        setTrendLineType(a, b) {
            if (a.en) {
                a.trendLineType = b;
            }
        }
    }
    FinancialPriceSeriesProxy.$t = /*@__PURE__*/ markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
    return FinancialPriceSeriesProxy;
})();
